/* gmos - GTK Metal/Oxyde Semiconductor
 * Copyright (C) 1998 Emmanuel Rouat
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Header file for EKV model */

#ifndef __INCLUDE_DEV_EKV__
#define __INCLUDE_DEV_EKV__

double ekv(void);
double F(double);
double dF_dx(double);
void parse_ekv(char * table[30], int n);

struct ekv_tech_data
{
    double NSUB;
    unsigned int NSUB_defined : 1;
    double TOX;
    unsigned int TOX_defined : 1;
    double VT0; /* is VTzero */
    unsigned int VT0_defined : 1;
    double U0;
    unsigned int U0_defined : 1;
    double KP;
    unsigned int KP_defined : 1;
    double GAMMA;
    unsigned int GAMMA_defined : 1;
    double LAMBDA;
    unsigned int LAMBDA_defined : 1;
    double THETA;
    unsigned int THETA_defined : 1;
    double PHI;
    unsigned int PHI_defined : 1;
    double NSS;
    unsigned int NSS_defined : 1;
    double NFS;
    unsigned int NFS_defined : 1;
    double NEFF;
    unsigned int NEFF_defined : 1;
    double TPG;
    unsigned int TPG_defined : 1;
    double LD;
    unsigned int LD_defined : 1;
    double WD;
    unsigned int WD_defined : 1;
    double RS;
    unsigned int RS_defined : 1;
    double RD;
    unsigned int RD_defined : 1;
    double TNOM;
    unsigned int TNOM_defined : 1;
    double VMAX;
    unsigned int VMAX_defined : 1;
    double UCRIT;
    unsigned int UCRIT_defined : 1;
    double UEXP;
    unsigned int UEXP_defined : 1;
    double DELTA;
    unsigned int DELTA_defined : 1;
    double XJ;
    unsigned int XJ_defined : 1;
    
} ;

int check_ekv(struct ekv_tech_data l44);


#endif /* __INCLUDE_DEV_EKV__ */
