/* gmos - GTK Metal/Oxyde Semiconductor
 * Copyright (C) 1998 Emmanuel Rouat
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */


/* 
 * This file contains the definitions of the initial values 
 * of models.
 * 
 */
        
struct level1_tech_data n1={
    1,       TRUE,      /* tpg */
    23.8e-9, TRUE,      /* tox */
    33.3e15, TRUE,      /* nsub */
    -0.05e-6,TRUE,      /* xj */
    515,     TRUE,      /* u0 */
    0.736,   TRUE,      /* vt0 */
    0,       FALSE,     /* lambda */ };

struct level1_tech_data p1={
    1,       TRUE,      /* tpg */
    23.8e-9, TRUE,      /* tox */
    18.0e15, TRUE,      /* nsub */
    -43e-9,  TRUE,      /* xj */
    175,     TRUE,      /* u0 */
    -0.758,  TRUE,      /* vt0 */
    0,       FALSE,     /* lambda */ };


struct level2_tech_data n2={ /* default values */
    1,       TRUE,      /* tpg */
    23.8e-9, TRUE,      /* tox */
    -0.05e-6,TRUE,      /* ld */
    398e-9,  TRUE,      /* wd */
    0.736,   TRUE,      /* vt0 */
    515,     TRUE,      /* u0 */
    0,       FALSE,     /* lambda */
    0,       FALSE,     /* ucrit */
    0,       FALSE,     /* uexp */
    0,       FALSE,     /* rs */
    0,       FALSE,     /* rd */
    0,       FALSE,     /* delta */
    33.3e15, TRUE,      /* nsub */
    0,       FALSE,     /* xj */
    0,       FALSE,     /* vmax */
    0,       FALSE,     /* neff */
    0,       FALSE,     /* nfs */
    27,      TRUE       /* tnom */
 };
   

struct level2_tech_data p2={ /* default values */
    1,       TRUE,      /* tpg */
    23.8e-9, TRUE,      /* tox */
    -43e-9,  TRUE,      /* ld */
    448e-9,  TRUE,      /* wd */
    -0.751,  TRUE,      /* vt0 */
    175,     TRUE,      /* u0 */
    0,       FALSE,     /* lambda */
    0,       FALSE,     /* ucrit */
    0,       FALSE,     /* uexp */
    0,       FALSE,     /* rs */
    0,       FALSE,     /* rd */
    0,       FALSE,     /* delta */
    18.0e15, TRUE,      /* nsub */
    0,       FALSE,     /* xj */
    0,       FALSE,     /* vmax */
    0,       FALSE,     /* neff */
    0,       FALSE,     /* nfs */
    27,      TRUE       /* tnom */
 };
   

struct ekv_tech_data n44={ /* default values */
    33.3e15, TRUE,      /* nsub */
    23.8e-9, TRUE,      /* tox */
    0.736,   TRUE,      /* vt0 */
    515,     TRUE,      /* u0 */
    0,       FALSE,     /* kp */
    0,       FALSE,     /* gamma */   
    0,       FALSE,     /* lambda */
    0,       FALSE,     /* theta */
    0,       FALSE,     /* phi */
    0,       FALSE,     /* nss */
    0,       FALSE,     /* nfs */
    0,       FALSE,     /* neff */
    1,       TRUE,      /* tpg */
    -0.05e-6,TRUE,      /* ld */
    398e-9,  TRUE,      /* wd */
    0,       FALSE,     /* rs */
    0,       FALSE,     /* rd */
    27,      TRUE,      /* tnom */
    0,       FALSE,     /* vmax */
    0,       FALSE,     /* ucrit */
    0,       FALSE,     /* uexp */
    0,       FALSE,     /* delta */
    0,       FALSE      /* xj */ };
   

struct ekv_tech_data p44={ /* default values */
    18.0e15, TRUE,      /* nsub */
    23.8e-9, TRUE,      /* tox */
    -0.751,  TRUE,      /* vt0 */
    175,     TRUE,      /* u0 */
    0,       FALSE,     /* kp */
    0,       FALSE,     /* gamma */   
    0,       FALSE,     /* lambda */
    0,       FALSE,     /* theta */
    0,       FALSE,     /* phi */
    0,       FALSE,     /* nss */
    0,       FALSE,     /* nfs */
    0,       FALSE,     /* neff */
    1,       TRUE,      /* tpg */
    -43e-9,  TRUE,      /* ld */
    448e-9,  TRUE,      /* wd */
    0,       FALSE,     /* rs */
    0,       FALSE,     /* rd */
    27,      TRUE,      /* tnom */
    0,       FALSE,     /* vmax */
    0,       FALSE,     /* ucrit */
    0,       FALSE,     /* uexp */
    0,       FALSE,     /* delta */
    0,       FALSE      /* xj */ };
   
    
