/* gmos - GTK Metal/Oxyde Semiconductor
 * Copyright (C) 1998 Emmanuel Rouat
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Header file for level1 model */

#ifndef __INCLUDE_DEV_LEVEL1__
#define __INCLUDE_DEV_LEVEL1__

double level1(void);
void parse_level1(char * table[20],int n);

struct level1_tech_data
{
    double TPG;     
    unsigned int TPG_defined : 1;
    double TOX;     /* m */
    unsigned int TOX_defined : 1;
    double NSUB;    /* at/cm^3 */
    unsigned int NSUB_defined : 1;
    double XJ;      /* m */
    unsigned int XJ_defined : 1;

    double U0;      /* cm^2/(Vs) */
    unsigned int U0_defined : 1;
    double VT0;     /* is VT-zero */
    unsigned int VT0_defined : 1;
    double LAMBDA;  /* 1/V */
    unsigned int LAMBDA_defined : 1;
    
} ;


int check_level1(struct level1_tech_data);


    


#endif /* __INCLUDE_DEV_LEVEL1__ */
