 #include <gtk/gtk.h>
 #include "defines.h"
 #include "models.h"
 #include "lex.yy.h"
 #include "gtkmain.h"

 int nb_models=0,nb_lines=0;


%s MODEL
%%
^([ \t]*\.model)+.*\n { BEGIN(MODEL); 
                       nb_lines=0;
                       ++nb_models;
                       parse_model(yytext,yyleng);
                     }


<MODEL>^\+.*\n       { ++nb_lines; 
                       if(nb_lines==MAXLINES) return(PAS_GLOP); 
                       parse_model(yytext,yyleng);
                     }


<MODEL>^([ \t]*\.+*\n)  parse_model(NULL,0) ;  BEGIN(INITIAL); REJECT;
<MODEL><<EOF>>          parse_model(NULL,0) ;


^([ \t]*\*+).*\n  /* zap comments */
^[ \t]+\n         /* zap empty lines */
.|\n              /* zap the rest */
           

%%

int parse_file(char *fname)
{

    if ((yyin = fopen(fname, "r")) == NULL)
	return(PAS_GLOP); /* ERROR */
    
    yylex();
    
    return(GLOP); /* OK */
	
}

int parse_model(char *text,int length)
{
    char  s[255],model[10],type[10];
    char * table[MAXLINES];
    
    static int level,n,i;
    
    
    
    if(text != NULL){
	/* first, parse .model line: */
	if(sscanf(text," .MODEL %s %s LEVEL=%d",model,type,&level)!=0){
	    sprintf(s,"Found: model %s , type:%s , level:%d\n",model,type,level);	  	       message(s);
  
	    table[0]=malloc(sizeof(type));
	    strcpy(table[0],type);
	    n=1;
	}else{   
	    table[n]=malloc(length);
	    strcpy(table[n],text);
	    n++;	
	}
	
	return(GLOP);
	
    }
    
    /* now send this to adequate parser */
	    
    switch(level){
    case LEVEL1 : parse_level1(table,n);
	break;
    case LEVEL2 : parse_level2(table,n);
	break;
    case EKV : parse_ekv(table,n);
	break;
    default : break;
    }

    /* now free the allocated memory */
    
    for(i=0;i<n;i++) free(table[i]);
    

    return(GLOP);


}
